Package org.apache.maven.scm.provider.git.gitexe.command.list

## Class GitListConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.git.gitexe.command.AbstractFileCheckingConsumer
  - - org.apache.maven.scm.provider.git.gitexe.command.list.GitListConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class GitListConsumer
    extends AbstractFileCheckingConsumer

Author:
  Mark Struberg, Olivier Lamy

### Field Summary

### Fields inherited from class org.apache.maven.scm.provider.git.gitexe.command.AbstractFileCheckingConsumer

`logger, revision, workingDirectory`

### Constructor Summary

Constructors
`GitListConsumer​(ScmLogger logger, java.io.File workingDirectory, ScmFileStatus fileStatus)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ScmFile>` `getListedFiles()`
`protected void` `parseLine​(java.lang.String line)`

### Methods inherited from class org.apache.maven.scm.provider.git.gitexe.command.AbstractFileCheckingConsumer

`addFile, consumeLine, getFiles, getRevision, parseInt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitListConsumer

    public GitListConsumer​(ScmLogger logger,
                           java.io.File workingDirectory,
                           ScmFileStatus fileStatus)

Parameters:
  `logger` -
  `workingDirectory` -
  `fileStatus` - will be used for each file found

### Method Detail

#### parseLine

    protected void parseLine​(java.lang.String line)

Specified by:
  `parseLine` in class `AbstractFileCheckingConsumer`

#### getListedFiles

    public java.util.List<ScmFile> getListedFiles()